File: .travis.yml

package info (click to toggle)
pg-ldap-sync 0.2.0-2
  • links: PTS, VCS
  • area: main
  • in suites: bookworm, sid
  • size: 160 kB
  • sloc: ruby: 516; makefile: 4
file content (17 lines) | stat: -rw-r--r-- 561 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
sudo: required
language: ruby
rvm:
  - "2.0.0"
  - ruby-head
env:
  - "PGVERSION=10.0-1-linux-x64 PATH=\"/opt/PostgreSQL/10/bin:$PATH\""
  - "PGVERSION=9.3.19-1-linux-x64 PATH=\"/opt/PostgreSQL/9.3/bin:$PATH\""
before_install:
  - gem install bundler
  - bundle install
  # Download and install postgresql version to test against in /opt
  - |
    wget http://get.enterprisedb.com/postgresql/postgresql-$PGVERSION.run && \
      chmod +x postgresql-$PGVERSION.run && \
      sudo ./postgresql-$PGVERSION.run --extract-only 1 --mode unattended
script: rake test